# Piyathon

Piyathon is a Thai language-localized superset of Python that uses Thai keywords and function names. It employs a token-based translation approach to convert between standard Python and Piyathon code. This method allows Piyathon to maintain full compatibility with Python's syntax and features while providing a Thai language interface.

The project includes tools for bidirectional translation between Python and Piyathon, as well as a simple interpreter for directly executing Piyathon code. By leveraging the existing Python interpreter instead of building a new one from scratch, Piyathon offers an efficient solution for Thai speakers to learn and use Python concepts.

This approach makes programming more accessible to Thai speakers, particularly beginners, by reducing language barriers while still allowing them to transition to standard Python seamlessly.

## Installation

Piyathon requires Python 3.12. It can be installed using the following command:

```bash
pip install piyathon
```

# ปิยะธอน

ภาษาปิยะธอนเป็นภาษาที่พัฒนาต่อยอดจากไพธอนโดยใช้คำสำคัญและชื่อฟังก์ชันเป็นภาษาไทย ภาษานี้ใช้วิธีการแปลแบบอิงโทเค็นเพื่อแปลงระหว่างโค้ดไพธอนมาตรฐานและโค้ดปิยะธอน วิธีนี้ช่วยให้ภาษาปิยะธอนสามารถคงความเข้ากันได้อย่างสมบูรณ์กับไวยากรณ์และคุณสมบัติของไพธอน ในขณะที่เพิ่มความสามารถให้ใช้ภาษาไทยในตัวภาษาปิยะธอน

โครงการนี้มีเครื่องมือสำหรับการแปลสองทิศทางระหว่างไพธอนและปิยะธอน รวมทั้งตัวแปลโปรแกรมอย่างง่ายสำหรับการเรียกใช้โค้ดปิยะธอนโดยตรง ด้วยการใช้ประโยชน์จากตัวแปลโปรแกรมไพธอนที่มีอยู่แล้วแทนที่จะสร้างใหม่ตั้งแต่ต้น ปิยะธอนจึงนำเสนอวิธีแก้ปัญหาที่มีประสิทธิภาพสำหรับคนไทยในการเรียนรู้และใช้แนวคิดของไพธอน

แนวทางนี้ทำให้การเขียนโปรแกรมเข้าถึงได้ง่ายขึ้นสำหรับชาวไทย โดยเฉพาะผู้เริ่มต้น ด้วยการลดอุปสรรคด้านภาษา ในขณะเดียวกันก็ยังคงช่วยให้ผู้เรียนรู้ภาษานี้สามารถเปลี่ยนไปใช้ไพธอนมาตรฐานได้อย่างราบรื่นในภายหลังอีกด้วย
